Skip to main content
GET
/
v1
/
analytics
/
clusters
/
{cluster_id}
/
execution-history
Get Execution History
curl --request GET \
  --url https://api.mixpeek.com/v1/analytics/clusters/{cluster_id}/execution-history \
  --header 'Authorization: Bearer <token>'
{
  "cluster_id": "<string>",
  "time_range": {
    "start": "2023-11-07T05:31:56Z",
    "end": "2023-11-07T05:31:56Z"
  },
  "results": [
    {
      "execution_id": "<string>",
      "started_at": "2023-11-07T05:31:56Z",
      "duration_seconds": 123,
      "num_documents": 123,
      "num_clusters": 123,
      "status": "<string>",
      "algorithm": "<string>"
    }
  ],
  "summary": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

cluster_id
string
required

Query Parameters

hours
integer
default:168

Hours of history

Required range: 1 <= x <= 720
limit
integer
default:100
Required range: 1 <= x <= 1000

Response

Successful Response

Cluster execution history response.

cluster_id
string
required
time_range
TimeRange · object
required

Time range for analytics queries.

results
ClusterExecutionMetric · object[]
required
summary
Summary · object